From cc154a08952449436c911790fce7f8e878028a16 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?S=C3=A9bastien=20Toque?= <xilasz@gmail.com>
Date: Wed, 30 May 2012 21:07:30 +0200
Subject: [PATCH] libass: add android default font

---
 modules/codec/libass.c |    5 +++++
 1 file changed, 5 insertions(+)

diff --git a/modules/codec/libass.c b/modules/codec/libass.c
index 97fd6ea..d5444ca 100644
--- a/modules/codec/libass.c
+++ b/modules/codec/libass.c
@@ -210,8 +210,13 @@ static int Create( vlc_object_t *p_this )
     ass_set_font_scale( p_renderer, 1.0 );
     ass_set_line_spacing( p_renderer, 0.0 );
 
+#if defined( __ANDROID__ )
+    const char *psz_font = "/system/fonts/DroidSans-Bold.ttf";
+    const char *psz_family = "Droid Sans Bold";
+#else
     const char *psz_font = NULL; /* We don't ship a default font with VLC */
     const char *psz_family = "Arial"; /* Use Arial if we can't find anything more suitable */
+#endif
 
 #ifdef HAVE_FONTCONFIG
 #if defined(WIN32)
-- 
1.7.9.5

